regenerated build files
[ptask.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 build_triplet = @build@
89 host_triplet = @host@
90 @CPPCHECK_TRUE@am__append_1 = test-cppcheck.sh
91 subdir = tests
92 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
93 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
94 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
95         $(ACLOCAL_M4)
96 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
97 mkinstalldirs = $(install_sh) -d
98 CONFIG_HEADER = $(top_builddir)/config.h
99 CONFIG_CLEAN_FILES =
100 CONFIG_CLEAN_VPATH_FILES =
101 AM_V_P = $(am__v_P_@AM_V@)
102 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103 am__v_P_0 = false
104 am__v_P_1 = :
105 AM_V_GEN = $(am__v_GEN_@AM_V@)
106 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107 am__v_GEN_0 = @echo "  GEN     " $@;
108 am__v_GEN_1 = 
109 AM_V_at = $(am__v_at_@AM_V@)
110 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111 am__v_at_0 = @
112 am__v_at_1 = 
113 SOURCES =
114 DIST_SOURCES =
115 am__can_run_installinfo = \
116   case $$AM_UPDATE_INFO_DIR in \
117     n|no|NO) false;; \
118     *) (install-info --version) >/dev/null 2>&1;; \
119   esac
120 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
121 am__tty_colors_dummy = \
122   mgn= red= grn= lgn= blu= brg= std=; \
123   am__color_tests=no
124 am__tty_colors = { \
125   $(am__tty_colors_dummy); \
126   if test "X$(AM_COLOR_TESTS)" = Xno; then \
127     am__color_tests=no; \
128   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
129     am__color_tests=yes; \
130   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
131     am__color_tests=yes; \
132   fi; \
133   if test $$am__color_tests = yes; then \
134     red='\e[0;31m'; \
135     grn='\e[0;32m'; \
136     lgn='\e[1;32m'; \
137     blu='\e[1;34m'; \
138     mgn='\e[0;35m'; \
139     brg='\e[1m'; \
140     std='\e[m'; \
141   fi; \
142 }
143 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
144 am__vpath_adj = case $$p in \
145     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
146     *) f=$$p;; \
147   esac;
148 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
149 am__install_max = 40
150 am__nobase_strip_setup = \
151   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
152 am__nobase_strip = \
153   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
154 am__nobase_list = $(am__nobase_strip_setup); \
155   for p in $$list; do echo "$$p $$p"; done | \
156   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
157   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
158     if (++n[$$2] == $(am__install_max)) \
159       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
160     END { for (dir in files) print dir, files[dir] }'
161 am__base_list = \
162   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
163   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
164 am__uninstall_files_from_dir = { \
165   test -z "$$files" \
166     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
167     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
168          $(am__cd) "$$dir" && rm -f $$files; }; \
169   }
170 am__recheck_rx = ^[     ]*:recheck:[    ]*
171 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
172 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
173 # A command that, given a newline-separated list of test names on the
174 # standard input, print the name of the tests that are to be re-run
175 # upon "make recheck".
176 am__list_recheck_tests = $(AWK) '{ \
177   recheck = 1; \
178   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
179     { \
180       if (rc < 0) \
181         { \
182           if ((getline line2 < ($$0 ".log")) < 0) \
183             recheck = 0; \
184           break; \
185         } \
186       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
187         { \
188           recheck = 0; \
189           break; \
190         } \
191       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
192         { \
193           break; \
194         } \
195     }; \
196   if (recheck) \
197     print $$0; \
198   close ($$0 ".trs"); \
199   close ($$0 ".log"); \
200 }'
201 # A command that, given a newline-separated list of test names on the
202 # standard input, create the global log from their .trs and .log files.
203 am__create_global_log = $(AWK) ' \
204 function fatal(msg) \
205 { \
206   print "fatal: making $@: " msg | "cat >&2"; \
207   exit 1; \
208 } \
209 function rst_section(header) \
210 { \
211   print header; \
212   len = length(header); \
213   for (i = 1; i <= len; i = i + 1) \
214     printf "="; \
215   printf "\n\n"; \
216 } \
217 { \
218   copy_in_global_log = 1; \
219   global_test_result = "RUN"; \
220   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
221     { \
222       if (rc < 0) \
223          fatal("failed to read from " $$0 ".trs"); \
224       if (line ~ /$(am__global_test_result_rx)/) \
225         { \
226           sub("$(am__global_test_result_rx)", "", line); \
227           sub("[        ]*$$", "", line); \
228           global_test_result = line; \
229         } \
230       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
231         copy_in_global_log = 0; \
232     }; \
233   if (copy_in_global_log) \
234     { \
235       rst_section(global_test_result ": " $$0); \
236       while ((rc = (getline line < ($$0 ".log"))) != 0) \
237       { \
238         if (rc < 0) \
239           fatal("failed to read from " $$0 ".log"); \
240         print line; \
241       }; \
242       printf "\n"; \
243     }; \
244   close ($$0 ".trs"); \
245   close ($$0 ".log"); \
246 }'
247 # Restructured Text title.
248 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
249 # Solaris 10 'make', and several other traditional 'make' implementations,
250 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
251 # by disabling -e (using the XSI extension "set +e") if it's set.
252 am__sh_e_setup = case $$- in *e*) set +e;; esac
253 # Default flags passed to test drivers.
254 am__common_driver_flags = \
255   --color-tests "$$am__color_tests" \
256   --enable-hard-errors "$$am__enable_hard_errors" \
257   --expect-failure "$$am__expect_failure"
258 # To be inserted before the command running the test.  Creates the
259 # directory for the log if needed.  Stores in $dir the directory
260 # containing $f, in $tst the test, in $log the log.  Executes the
261 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
262 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
263 # will run the test scripts (or their associated LOG_COMPILER, if
264 # thy have one).
265 am__check_pre = \
266 $(am__sh_e_setup);                                      \
267 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
268 $(am__tty_colors);                                      \
269 srcdir=$(srcdir); export srcdir;                        \
270 case "$@" in                                            \
271   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
272     *) am__odir=.;;                                     \
273 esac;                                                   \
274 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
275   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
276 if test -f "./$$f"; then dir=./;                        \
277 elif test -f "$$f"; then dir=;                          \
278 else dir="$(srcdir)/"; fi;                              \
279 tst=$$dir$$f; log='$@';                                 \
280 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
281   am__enable_hard_errors=no;                            \
282 else                                                    \
283   am__enable_hard_errors=yes;                           \
284 fi;                                                     \
285 case " $(XFAIL_TESTS) " in                              \
286   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
287     am__expect_failure=yes;;                            \
288   *)                                                    \
289     am__expect_failure=no;;                             \
290 esac;                                                   \
291 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
292 # A shell command to get the names of the tests scripts with any registered
293 # extension removed (i.e., equivalently, the names of the test logs, with
294 # the '.log' extension removed).  The result is saved in the shell variable
295 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
296 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
297 # since that might cause problem with VPATH rewrites for suffix-less tests.
298 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
299 am__set_TESTS_bases = \
300   bases='$(TEST_LOGS)'; \
301   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
302   bases=`echo $$bases`
303 RECHECK_LOGS = $(TEST_LOGS)
304 AM_RECURSIVE_TARGETS = check recheck
305 TEST_SUITE_LOG = test-suite.log
306 TEST_EXTENSIONS = @EXEEXT@ .test
307 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
308 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
309 am__set_b = \
310   case '$@' in \
311     */*) \
312       case '$*' in \
313         */*) b='$*';; \
314           *) b=`echo '$@' | sed 's/\.log$$//'`; \
315        esac;; \
316     *) \
317       b='$*';; \
318   esac
319 am__test_logs1 = $(TESTS:=.log)
320 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
321 TEST_LOGS = $(am__test_logs2:.test.log=.log)
322 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
323 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
324         $(TEST_LOG_FLAGS)
325 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver
326 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
327 ACLOCAL = @ACLOCAL@
328 AMTAR = @AMTAR@
329 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
330 AUTOCONF = @AUTOCONF@
331 AUTOHEADER = @AUTOHEADER@
332 AUTOMAKE = @AUTOMAKE@
333 AWK = @AWK@
334 CC = @CC@
335 CCDEPMODE = @CCDEPMODE@
336 CFLAGS = @CFLAGS@
337 CPP = @CPP@
338 CPPFLAGS = @CPPFLAGS@
339 CYGPATH_W = @CYGPATH_W@
340 DEFS = @DEFS@
341 DEPDIR = @DEPDIR@
342 ECHO_C = @ECHO_C@
343 ECHO_N = @ECHO_N@
344 ECHO_T = @ECHO_T@
345 EGREP = @EGREP@
346 EXEEXT = @EXEEXT@
347 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
348 GLIB_COMPILE_SCHEMAS = @GLIB_COMPILE_SCHEMAS@
349 GMSGFMT = @GMSGFMT@
350 GMSGFMT_015 = @GMSGFMT_015@
351 GREP = @GREP@
352 GSETTINGS_DISABLE_SCHEMAS_COMPILE = @GSETTINGS_DISABLE_SCHEMAS_COMPILE@
353 GTK_CFLAGS = @GTK_CFLAGS@
354 GTK_LIBS = @GTK_LIBS@
355 HAVE_CPPCHECK = @HAVE_CPPCHECK@
356 HELP2MAN = @HELP2MAN@
357 INSTALL = @INSTALL@
358 INSTALL_DATA = @INSTALL_DATA@
359 INSTALL_PROGRAM = @INSTALL_PROGRAM@
360 INSTALL_SCRIPT = @INSTALL_SCRIPT@
361 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
362 INTLLIBS = @INTLLIBS@
363 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
364 JSON_CFLAGS = @JSON_CFLAGS@
365 JSON_LIBS = @JSON_LIBS@
366 LDFLAGS = @LDFLAGS@
367 LIBICONV = @LIBICONV@
368 LIBINTL = @LIBINTL@
369 LIBOBJS = @LIBOBJS@
370 LIBS = @LIBS@
371 LTLIBICONV = @LTLIBICONV@
372 LTLIBINTL = @LTLIBINTL@
373 LTLIBOBJS = @LTLIBOBJS@
374 MAKEINFO = @MAKEINFO@
375 MKDIR_P = @MKDIR_P@
376 MSGFMT = @MSGFMT@
377 MSGFMT_015 = @MSGFMT_015@
378 MSGMERGE = @MSGMERGE@
379 OBJEXT = @OBJEXT@
380 PACKAGE = @PACKAGE@
381 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
382 PACKAGE_NAME = @PACKAGE_NAME@
383 PACKAGE_STRING = @PACKAGE_STRING@
384 PACKAGE_TARNAME = @PACKAGE_TARNAME@
385 PACKAGE_URL = @PACKAGE_URL@
386 PACKAGE_VERSION = @PACKAGE_VERSION@
387 PATH_SEPARATOR = @PATH_SEPARATOR@
388 PKG_CONFIG = @PKG_CONFIG@
389 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
390 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
391 POSUB = @POSUB@
392 SED = @SED@
393 SET_MAKE = @SET_MAKE@
394 SHELL = @SHELL@
395 STRIP = @STRIP@
396 USE_NLS = @USE_NLS@
397 VERSION = @VERSION@
398 X11_CFLAGS = @X11_CFLAGS@
399 X11_LIBS = @X11_LIBS@
400 XEXT_CFLAGS = @XEXT_CFLAGS@
401 XEXT_LIBS = @XEXT_LIBS@
402 XGETTEXT = @XGETTEXT@
403 XGETTEXT_015 = @XGETTEXT_015@
404 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
405 XMKMF = @XMKMF@
406 abs_builddir = @abs_builddir@
407 abs_srcdir = @abs_srcdir@
408 abs_top_builddir = @abs_top_builddir@
409 abs_top_srcdir = @abs_top_srcdir@
410 ac_ct_CC = @ac_ct_CC@
411 am__include = @am__include@
412 am__leading_dot = @am__leading_dot@
413 am__quote = @am__quote@
414 am__tar = @am__tar@
415 am__untar = @am__untar@
416 bindir = @bindir@
417 build = @build@
418 build_alias = @build_alias@
419 build_cpu = @build_cpu@
420 build_os = @build_os@
421 build_vendor = @build_vendor@
422 builddir = @builddir@
423 datadir = @datadir@
424 datarootdir = @datarootdir@
425 docdir = @docdir@
426 dvidir = @dvidir@
427 exec_prefix = @exec_prefix@
428 gsettingsschemadir = @gsettingsschemadir@
429 host = @host@
430 host_alias = @host_alias@
431 host_cpu = @host_cpu@
432 host_os = @host_os@
433 host_vendor = @host_vendor@
434 htmldir = @htmldir@
435 includedir = @includedir@
436 infodir = @infodir@
437 install_sh = @install_sh@
438 libdir = @libdir@
439 libexecdir = @libexecdir@
440 localedir = @localedir@
441 localstatedir = @localstatedir@
442 mandir = @mandir@
443 mkdir_p = @mkdir_p@
444 oldincludedir = @oldincludedir@
445 pdfdir = @pdfdir@
446 prefix = @prefix@
447 program_transform_name = @program_transform_name@
448 psdir = @psdir@
449 runstatedir = @runstatedir@
450 sbindir = @sbindir@
451 sharedstatedir = @sharedstatedir@
452 srcdir = @srcdir@
453 sysconfdir = @sysconfdir@
454 target_alias = @target_alias@
455 top_build_prefix = @top_build_prefix@
456 top_builddir = @top_builddir@
457 top_srcdir = @top_srcdir@
458 EXTRA_DIST = checkpatch.pl \
459         test-cppcheck.sh
460
461 TESTS = $(am__append_1)
462 all: all-am
463
464 .SUFFIXES:
465 .SUFFIXES: .log .test .test$(EXEEXT) .trs
466 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
467         @for dep in $?; do \
468           case '$(am__configure_deps)' in \
469             *$$dep*) \
470               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
471                 && { if test -f $@; then exit 0; else break; fi; }; \
472               exit 1;; \
473           esac; \
474         done; \
475         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
476         $(am__cd) $(top_srcdir) && \
477           $(AUTOMAKE) --gnu tests/Makefile
478 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
479         @case '$?' in \
480           *config.status*) \
481             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
482           *) \
483             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
484             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
485         esac;
486
487 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
488         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
489
490 $(top_srcdir)/configure:  $(am__configure_deps)
491         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
492 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
493         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
494 $(am__aclocal_m4_deps):
495 tags TAGS:
496
497 ctags CTAGS:
498
499 cscope cscopelist:
500
501
502 # Recover from deleted '.trs' file; this should ensure that
503 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
504 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
505 # to avoid problems with "make -n".
506 .log.trs:
507         rm -f $< $@
508         $(MAKE) $(AM_MAKEFLAGS) $<
509
510 # Leading 'am--fnord' is there to ensure the list of targets does not
511 # expand to empty, as could happen e.g. with make check TESTS=''.
512 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
513 am--force-recheck:
514         @:
515
516 $(TEST_SUITE_LOG): $(TEST_LOGS)
517         @$(am__set_TESTS_bases); \
518         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
519         redo_bases=`for i in $$bases; do \
520                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
521                     done`; \
522         if test -n "$$redo_bases"; then \
523           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
524           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
525           if $(am__make_dryrun); then :; else \
526             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
527           fi; \
528         fi; \
529         if test -n "$$am__remaking_logs"; then \
530           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
531                "recursion detected" >&2; \
532         elif test -n "$$redo_logs"; then \
533           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
534         fi; \
535         if $(am__make_dryrun); then :; else \
536           st=0;  \
537           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
538           for i in $$redo_bases; do \
539             test -f $$i.trs && test -r $$i.trs \
540               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
541             test -f $$i.log && test -r $$i.log \
542               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
543           done; \
544           test $$st -eq 0 || exit 1; \
545         fi
546         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
547         ws='[   ]'; \
548         results=`for b in $$bases; do echo $$b.trs; done`; \
549         test -n "$$results" || results=/dev/null; \
550         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
551         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
552         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
553         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
554         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
555         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
556         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
557         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
558           success=true; \
559         else \
560           success=false; \
561         fi; \
562         br='==================='; br=$$br$$br$$br$$br; \
563         result_count () \
564         { \
565             if test x"$$1" = x"--maybe-color"; then \
566               maybe_colorize=yes; \
567             elif test x"$$1" = x"--no-color"; then \
568               maybe_colorize=no; \
569             else \
570               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
571             fi; \
572             shift; \
573             desc=$$1 count=$$2; \
574             if test $$maybe_colorize = yes && test $$count -gt 0; then \
575               color_start=$$3 color_end=$$std; \
576             else \
577               color_start= color_end=; \
578             fi; \
579             echo "$${color_start}# $$desc $$count$${color_end}"; \
580         }; \
581         create_testsuite_report () \
582         { \
583           result_count $$1 "TOTAL:" $$all   "$$brg"; \
584           result_count $$1 "PASS: " $$pass  "$$grn"; \
585           result_count $$1 "SKIP: " $$skip  "$$blu"; \
586           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
587           result_count $$1 "FAIL: " $$fail  "$$red"; \
588           result_count $$1 "XPASS:" $$xpass "$$red"; \
589           result_count $$1 "ERROR:" $$error "$$mgn"; \
590         }; \
591         {                                                               \
592           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
593             $(am__rst_title);                                           \
594           create_testsuite_report --no-color;                           \
595           echo;                                                         \
596           echo ".. contents:: :depth: 2";                               \
597           echo;                                                         \
598           for b in $$bases; do echo $$b; done                           \
599             | $(am__create_global_log);                                 \
600         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
601         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
602         if $$success; then                                              \
603           col="$$grn";                                                  \
604          else                                                           \
605           col="$$red";                                                  \
606           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
607         fi;                                                             \
608         echo "$${col}$$br$${std}";                                      \
609         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
610         echo "$${col}$$br$${std}";                                      \
611         create_testsuite_report --maybe-color;                          \
612         echo "$$col$$br$$std";                                          \
613         if $$success; then :; else                                      \
614           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
615           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
616             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
617           fi;                                                           \
618           echo "$$col$$br$$std";                                        \
619         fi;                                                             \
620         $$success || exit 1
621
622 check-TESTS:
623         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
624         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
625         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
626         @set +e; $(am__set_TESTS_bases); \
627         log_list=`for i in $$bases; do echo $$i.log; done`; \
628         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
629         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
630         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
631         exit $$?;
632 recheck: all 
633         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
634         @set +e; $(am__set_TESTS_bases); \
635         bases=`for i in $$bases; do echo $$i; done \
636                  | $(am__list_recheck_tests)` || exit 1; \
637         log_list=`for i in $$bases; do echo $$i.log; done`; \
638         log_list=`echo $$log_list`; \
639         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
640                 am__force_recheck=am--force-recheck \
641                 TEST_LOGS="$$log_list"; \
642         exit $$?
643 test-cppcheck.sh.log: test-cppcheck.sh
644         @p='test-cppcheck.sh'; \
645         b='test-cppcheck.sh'; \
646         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
647         --log-file $$b.log --trs-file $$b.trs \
648         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
649         "$$tst" $(AM_TESTS_FD_REDIRECT)
650 .test.log:
651         @p='$<'; \
652         $(am__set_b); \
653         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
654         --log-file $$b.log --trs-file $$b.trs \
655         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
656         "$$tst" $(AM_TESTS_FD_REDIRECT)
657 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
658 @am__EXEEXT_TRUE@       @p='$<'; \
659 @am__EXEEXT_TRUE@       $(am__set_b); \
660 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
661 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
662 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
663 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
664
665 distdir: $(DISTFILES)
666         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
667         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
668         list='$(DISTFILES)'; \
669           dist_files=`for file in $$list; do echo $$file; done | \
670           sed -e "s|^$$srcdirstrip/||;t" \
671               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
672         case $$dist_files in \
673           */*) $(MKDIR_P) `echo "$$dist_files" | \
674                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
675                            sort -u` ;; \
676         esac; \
677         for file in $$dist_files; do \
678           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
679           if test -d $$d/$$file; then \
680             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
681             if test -d "$(distdir)/$$file"; then \
682               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
683             fi; \
684             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
685               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
686               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
687             fi; \
688             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
689           else \
690             test -f "$(distdir)/$$file" \
691             || cp -p $$d/$$file "$(distdir)/$$file" \
692             || exit 1; \
693           fi; \
694         done
695 check-am: all-am
696         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
697 check: check-am
698 all-am: Makefile
699 installdirs:
700 install: install-am
701 install-exec: install-exec-am
702 install-data: install-data-am
703 uninstall: uninstall-am
704
705 install-am: all-am
706         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
707
708 installcheck: installcheck-am
709 install-strip:
710         if test -z '$(STRIP)'; then \
711           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
712             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
713               install; \
714         else \
715           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
716             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
717             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
718         fi
719 mostlyclean-generic:
720         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
721         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
722         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
723
724 clean-generic:
725
726 distclean-generic:
727         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
728         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
729
730 maintainer-clean-generic:
731         @echo "This command is intended for maintainers to use"
732         @echo "it deletes files that may require special tools to rebuild."
733 clean: clean-am
734
735 clean-am: clean-generic mostlyclean-am
736
737 distclean: distclean-am
738         -rm -f Makefile
739 distclean-am: clean-am distclean-generic
740
741 dvi: dvi-am
742
743 dvi-am:
744
745 html: html-am
746
747 html-am:
748
749 info: info-am
750
751 info-am:
752
753 install-data-am:
754
755 install-dvi: install-dvi-am
756
757 install-dvi-am:
758
759 install-exec-am:
760
761 install-html: install-html-am
762
763 install-html-am:
764
765 install-info: install-info-am
766
767 install-info-am:
768
769 install-man:
770
771 install-pdf: install-pdf-am
772
773 install-pdf-am:
774
775 install-ps: install-ps-am
776
777 install-ps-am:
778
779 installcheck-am:
780
781 maintainer-clean: maintainer-clean-am
782         -rm -f Makefile
783 maintainer-clean-am: distclean-am maintainer-clean-generic
784
785 mostlyclean: mostlyclean-am
786
787 mostlyclean-am: mostlyclean-generic
788
789 pdf: pdf-am
790
791 pdf-am:
792
793 ps: ps-am
794
795 ps-am:
796
797 uninstall-am:
798
799 .MAKE: check-am install-am install-strip
800
801 .PHONY: all all-am check check-TESTS check-am check-local clean \
802         clean-generic cscopelist-am ctags-am distclean \
803         distclean-generic distdir dvi dvi-am html html-am info info-am \
804         install install-am install-data install-data-am install-dvi \
805         install-dvi-am install-exec install-exec-am install-html \
806         install-html-am install-info install-info-am install-man \
807         install-pdf install-pdf-am install-ps install-ps-am \
808         install-strip installcheck installcheck-am installdirs \
809         maintainer-clean maintainer-clean-generic mostlyclean \
810         mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
811         uninstall uninstall-am
812
813 .PRECIOUS: Makefile
814
815 check-local: checkpatch.pl
816         find $(top_srcdir)/src -name \*.c -exec $(srcdir)/checkpatch.pl --ignore SPLIT_STRING --show-types -q --no-tree  -emacs -f {} \;
817         find $(top_srcdir)/src -name \*.h -exec $(srcdir)/checkpatch.pl --ignore SPLIT_STRING --show-types -q --no-tree  -emacs -f {} \;
818
819 # Tell versions [3.59,3.63) of GNU make to not export all variables.
820 # Otherwise a system limit (for SysV at least) may be exceeded.
821 .NOEXPORT: